
interface StateDimensions {
  width? : number,
  height? : number
}

interface StateOffset {
  x? : number,
  y? : number
}

interface SequenceState {
  hash : string,
  name? : string,
  progress? : number,
  current? : number,
  frames? : number,
  status? : any
}

interface SequenceStatistics {

}

interface State {
  display? : StateDimensions,
  offset? : StateOffset,
  source? : StateDimensions,
  screen? : StateDimensions,
  sequence? : SequenceState,
  statistics? : SequenceStatistics,
  exposure? : number
}

interface Message {
	cmd? : string;
  state? : State;
}